atk.NoOpObjectFactory
Prev | The atk Class Reference | Next

## atk.NoOpObjectFactory

atk.NoOpObjectFactory — the `atk.ObjectFactory` which creates an `atk.NoOpObject`.

## Synopsis

    class atk.NoOpObjectFactory(atk.ObjectFactory):
        atk.NoOpObjectFactory()

## Ancestry

    +-- gobject.GObject
      +-- atk.ObjectFactory
        +-- atk.NoOpObjectFactory

## atk.NoOpObjectFactory Signal Prototypes

gobject.GObject Signal Prototypes

## Description

The `atk.ObjectFactory` which creates an `atk.NoOpObject`. An instance of this is created by an `atk.Registry` if no factory type has not been specified to create an accessible object of a particular type.

## Constructor

### atk.NoOpObjectFactory

        atk.NoOpObjectFactory()

Returns : | an instance of an `atk.ObjectFactory`

Creates an instance of an `atk.ObjectFactory` which generates primitive (non-functioning) `atk.Object` objects.

Prev | Up | Next
atk.NoOpObject | Home | atk.Object